## libthumbor 1.3.3

=== Makefile ===
COVERAGE = $(or $(shell which coverage), $(shell which python-coverage), coverage)

test ci_test:
	@$(COVERAGE) run --branch `which nosetests` -v --with-yanc -s tests/
	@$(MAKE) coverage
	@$(MAKE) static

coverage:
	
	@$(COVERAGE) report -m --fail-under=75

publish:
	python setup.py sdist upload

setup:
	@pip install -U -e .\[tests\]

static:
	@flake8 --config=./flake8 .

## libthumbor 1.3.2

=== debian/changelog ===
libthumbor (1.3.2-1) unstable; urgency=low

  [ Gilles Dubuc ]

  * Initial release. (Closes: #783577)

  [ Marcelo Jorge Vieira ]

  * Bump Standards-Version to 4.0.0 (no changes)
  * Added myself as uploader

 -- Marcelo Jorge Vieira <metal@debian.org>  Thu, 07 Sep 2017 22:27:53 -0300

=== debian/control ===
Source: libthumbor
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Gilles Dubuc <gilles@wikimedia.org>,
 Marcelo Jorge Vieira <metal@debian.org>
Section: python
Priority: optional
Standards-Version: 4.0.0
Build-Depends: debhelper (>= 9),
               dh-python (>= 2.20150826),
               python-all,
               python-nose,
               python-preggy,
               python-setuptools,
               python-six
X-Python-Version: >= 2.6
Homepage: https://github.com/thumbor/libthumbor
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/libthumbor.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/libthumbor.git

Package: python-libthumbor
Architecture: all
Depends: python-pkg-resources, ${misc:Depends}, ${python:Depends}, python-six
Suggests: python-django
Description: Python module to make usage of Thumbor easy in Python
 Allows easy usage of Thumbor in Python, by facilitating the generation
 of signed URLs to thumbor-generated assets.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=libthumbor
export PYBUILD_TEST_NOSE=1

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_clean:
	rm -rf libthumbor.egg-info .coverage
	dh_clean

=== debian/watch ===
version=3
opts="filenamemangle=s/.+\/v?(.*)\.tar\.gz/libthumbor-$1.tar.gz/" \
 https://github.com/thumbor/libthumbor/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## libthumbor 1.3.3

=== debian/changelog ===
libthumbor (1.3.3-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload to allow testing migration.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Feb 2020 13:01:34 -0500

libthumbor (1.3.3-1) unstable; urgency=medium

  [ Ondřej Nový ]

  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Marcelo Jorge Vieira ]

  * New upstream version 1.3.3
    * Remove patches that were applied upstream
  * Py3 support (Closes: #936926)

 -- Marcelo Jorge Vieira <metal@debian.org>  Sun, 24 Nov 2019 21:20:13 -0300

=== debian/control ===
Source: libthumbor
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Gilles Dubuc <gilles@wikimedia.org>,
 Marcelo Jorge Vieira <metal@debian.org>
Section: python
Priority: optional
Standards-Version: 4.0.0
Build-Depends: debhelper-compat (= 12),
               dh-python (>= 2.20150826),
               python3-all,
               python3-nose,
               python3-preggy,
               python3-setuptools,
               python3-six
Homepage: https://github.com/thumbor/libthumbor
Vcs-Git: https://salsa.debian.org/python-team/modules/libthumbor.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/libthumbor

Package: python3-libthumbor
Architecture: all
Depends: python3-pkg-resources, ${misc:Depends}, ${python3:Depends}, python3-six
Suggests: python3-django
Description: Python module to make usage of Thumbor easy in Python
 Allows easy usage of Thumbor in Python, by facilitating the generation
 of signed URLs to thumbor-generated assets.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=libthumbor
export PYBUILD_TEST_NOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_clean:
	rm -rf libthumbor.egg-info .coverage
	dh_clean

## libthumbor 2.0.2

=== Makefile ===
COVERAGE = $(or $(shell which coverage), $(shell which python-coverage), coverage)

test ci_test: unit coverage flake8 pylint

unit:
	@poetry run pytest -n `nproc` --cov=libthumbor tests/

coverage:
	@$(COVERAGE) report -m --fail-under=75

setup:
	@poetry install

flake flake8:
	@poetry run flake8

pylint lint:
	@poetry run pylint --exit-zero libthumbor tests

=== debian/changelog ===
libthumbor (2.0.2-3) unstable; urgency=medium

  * Team upload.
  * Drop dependency on python3-pkg-resources (Closes: #1083463)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 09 Feb 2025 16:50:28 +0100

libthumbor (2.0.2-2) unstable; urgency=medium

  * Team Upload
  * Remove dependency un python3-nose (Closes: #1018401)
  * Remove PYBUILD_TEST_NOSE=1 from d/rules, default to pytest
  * Add build dependency on python3-django, enable more tests

 -- Alexandre Detiste <tchet@debian.org>  Tue, 06 Aug 2024 01:46:35 +0200

libthumbor (2.0.2-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 2.0.2
  * Add build-depencendy on python3-poetry{,-core}
  * set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Sun, 12 May 2024 01:03:41 +0200

libthumbor (1.3.3-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on dh-python.
  * Bump debhelper from old 12 to 13.

 -- Sandro Tosi <morph@debian.org>  Tue, 03 May 2022 21:51:47 -0400

=== debian/control ===
Source: libthumbor
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Gilles Dubuc <gilles@wikimedia.org>,
 Marcelo Jorge Vieira <metal@debian.org>
Section: python
Priority: optional
Standards-Version: 4.0.0
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-django,
               python3-poetry,
               python3-poetry-core,
               python3-preggy,
               python3-pytest,
               python3-pytest-xdist,
               python3-setuptools,
               python3-six
Rules-Requires-Root: no
Homepage: https://github.com/thumbor/libthumbor
Vcs-Git: https://salsa.debian.org/python-team/packages/libthumbor.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/libthumbor

Package: python3-libthumbor
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-six
Suggests: python3-django
Description: Python module to make usage of Thumbor easy in Python
 Allows easy usage of Thumbor in Python, by facilitating the generation
 of signed URLs to thumbor-generated assets.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=libthumbor

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	rm -rf libthumbor.egg-info .coverage
	dh_clean

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(.*)\.tar\.gz/libthumbor-$1.tar.gz/" \
 https://github.com/thumbor/libthumbor/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
